# Hippy SDK 个人信息保护规则

生效日期：2022年4月24日

## 引言

Hippy SDK (以下简称"SDK产品")由深圳市腾讯计算机系统有限公司（以下简称"我们"或称"腾讯"）提供，注册地为深圳市南山区粤海街道麻岭社区科技中一路腾讯大厦35层。

《Hippy SDK 个人信息保护规则》(以下简称"本规则")主要向开发者及其终端用户("终端用户")告知，为了实现SDK产品的相关功能，SDK产品需收集、使用和处理终端用户个人信息的情况。

请开发者及终端用户认真阅读本规则。如您是开发者，请您确认充分了解并同意本规则后再集成SDK产品，如果您不同意本规则及按照本规则履行对应的用户个人信息保护义务，应立即停止接入及使用SDK产品；<u>同时，您应仅在征得终端用户的同意后启动或使用SDK产品并处理终端用户的个人信息</u>。

<b>特别说明：</b><br/>
<b>如您是开发者，您应当：</b>

<u>1. 遵守法律、法规收集、使用和处理终端用户的个人信息, 包括但不限于制定和公布有关个人信息保护的隐私政策等；</u><br/>
<u>2. 在启动或使用SDK产品前，告知终端用户SDK产品收集、使用和处理终端用户个人信息的情况，并依法征得终端用户同意；</u><br/>
<u>3. 在征得终端用户的同意前，除非法律法规另有规定，不应收集任何终端用户的个人信息；</u><br/>
<u>4. 向终端用户提供易于操作且满足法律法规要求的用户权利实现机制，并告知终端用户如何查阅、复制、修改、删除个人信息，撤回同意，以及限制个人信息处理、转移个人信息、获取个人信息副本和注销账号；</u><br/>
<u>5. 遵守本规则的要求。</u><br/>

如开发者和终端用户对本规则内容有任何疑问或建议, 可随时通过本规则第八条提供的方式与我们联系。

## 一、我们收集的信息及我们如何使用信息

### （一）为实现 SDK 产品功能所需的权限

为实现SDK产品的相应功能所必须，我们会通过开发者的应用申请所需权限。

| 操作系统         | 权限名称                                                         | 使用目的                                                        | 是否可选 |
| ------------- | ------------------------------------------------------------ | ------------------------------------------------------------ | -------- |
| iOS/Android    | 剪切板 | 向终端用户或开发者提供访问剪切板的功能，帮助用户用户完成相关内容的复制粘贴 | 可选

请注意，在不同设备和系统中，权限显示方式及关闭方式会有所不同，需同时参考其使用的设备及操作系统开发方的说明或指引。当终端用户关闭权限即代表其取消了相应的授权，我们和开发者将不会继续收集和使用相关权限所对应的个人信息， 也无法为终端用户提供需要终端用户开启权限才能提供的对应的功能。

### （二）根据法律法规的规定，以下是征得用户同意的例外情形

1. 为订立、履行与终端用户的合同所必需；
2. 为履行我们的法定义务所必需；
3. 为应对突发公共卫生事件，或者紧急情况下为保护终端用户的生命健康和财产安全所必需；
4. 为公共利益实施新闻报道、舆论监督等行为， 在合理的范围内处理终端用户的个人信息；
5. 依照本法规定在合理的范围内处理终端用户自行公开或者其他已经合法公开的个人信息；
6. 法律行政法规规定的其他情形。

<u>特别提示: 如我们收集的信息无法单独或结合其他信息识别到终端用户的个人身份，其不属于法律意义上的个人信息。</u>

### （三）如何使用 Cookie 

为实现APP产品功能所必需，SDK按照Cookie规范为开发者提供基于业务需要使用Cookie技术的设置，修改、删除、存储能力。SDK不会收集、上报、使用通过Cookie收集的任何信息。如您是终端用户，您需要通过开发者提供的渠道管理和删除Cookie。

<u>如您是开发者，您应当向终端用户告知与SDK产品相关的Cookie使用情况，包括但不限于Cookie的类型、收集的个人信息、使用目的、使用场景，征得终端用户的同意，并向终端用户提供管理和删除Cookie的机制。</u>

## 二、终端用户如何管理自己的信息

我们非常重视终端用户对其个人信息管理的权利， 并竭力帮助终端用户管理个人信息，包括个人信息查阅、复制、删除、注销账号以及设置隐私功能等， 以保障终端用户的权利。如您是开发者，您应当为终端用户提供实现查阅、复制、修改、删除个人信息、撤回同意和注销账号的方式。

基于终端用户的同意而进行的个人信息处理活动， 终端用户有权撤回该同意。我们已向开发者提供关闭本SDK产品的能力，请开发者点击[此处](https://hippyjs.org/#/android/integration)查看操作指引。由于我们与终端用户无直接的交互对话界面，终端用户可以直接联系开发者停止使用本SDK产品。如您是终端用户，请您理解，特定的业务功能或服务需要您提供服务所需的信息才能得以完成，当您撤回同意后，我们无法继续为您提供对应的功能或服务，也不再处理您相应的个人信息。您撤回同意的决定，不会影响我们此前基于您的授权而开展的个人信息处理。

## 三、信息的存储

Hippy SDK不存储用户的任何信息。

## 四、信息安全

我们为终端用户的个人信息提供相应的安全保障，以防止信息的丢失、不当使用、未经授权访问或披露。

我们严格遵守法律法规保护终端用户的个人信息。

我们将在合理的安全水平内使用各种安全保护措施以保障信息的安全。例如，我们使用加密技术、匿名化处理等手段来保护终端用户的个人信息。

我们建立严谨的管理制度、流程和组织确保信息安全。例如，我们严格限制访问信息的人员范围，要求他们遵守保密义务，并进行审查。

若发生个人信息泄露等安全事件，我们会启动应急预案，阻止安全事件扩大，并以推送通知、公告等形式告知开发者。

## 五、变更

我们会适时修订本规则的内容。

如本规则的修订会导致终端用户在本规则项下权利的实质减损，我们将在变更生效前，通过网站公告等方式进行告知。如您是开发者，当更新后的本规则对处理终端用户的个人信息情况有变动的，您应当适时更新隐私政策，并以弹框形式通知终端用户并且征得其同意，<u>如果终端用户不同意接受本规则, 请停止启用或使用SDK产品。</u>

## 六、联系我们

我们设立了专门的个人信息保护团队和个人信息保护负责人， 如果开发者和/或终端用户对本规则或个人信息保护相关事宜有任何疑问或投诉、建议时, 可以通过以下方式与我们联系:<br/>
(i)通过 <https://kf.qq.com/> 与我们联系；<br/>
(ii)将问题发送至 <Dataprivacy@tencent.com>；<br/>
(iii)邮寄信件至: 中国广东省深圳市南山区海天二路33号腾讯滨海大厦 数据隐私保护部（收）<br/>
邮编: 518054。<br/>
我们将尽快审核所涉问题， 并在15个工作日或法律法规规定的期限内予以反馈。





